Download it now!
Bug 123421 - FILESAVE XLSX Calc creates corrupted pivot table
Summary: FILESAVE XLSX Calc creates corrupted pivot table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: dataLoss, filter:xlsx
Depends on:
Blocks: XLSX-Corrupted Pivot-Table-XLSX
  Show dependency treegraph
 
Reported: 2019-02-12 23:39 UTC by Aron Budea
Modified: 2019-05-07 11:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODS (13.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-02-12 23:39 UTC, Aron Budea
Details
Sample saved as XLSX in Calc (corrupted) (9.85 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-02-12 23:40 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-02-12 23:39:42 UTC
Created attachment 149245 [details]
Sample ODS

The attached ODS is a simple pivot table created similarly to attachment 133861 [details] from bug 108343, just in Calc, and there's a filter on Product.

Save it as XLSX, and open it in Excel.

=>
A couple of issues:
- Filter button for Product is in the wrong row.
- Filter on Country is missing.
- Changing Product filter crashes Excel 2013.
- Right-clicking table, and selecting Refresh crashes Excel 2013.

Observed using LO 6.3.0.0.alpha0+ (e0745a11597e5d57eb8001a295314e86810a6027) / Windows 7.
In 6.1.0.3 the pivot table isn't even exported as a pivot table, no point in checking with earlier versions.
Comment 1 Aron Budea 2019-02-12 23:40:55 UTC
Created attachment 149246 [details]
Sample saved as XLSX in Calc (corrupted)
Comment 2 Roman Kuznetsov 2019-02-13 09:27:25 UTC
confirm in

Версия: 6.2.0.3
ID сборки: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
Потоков ЦП: 4; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); UI-Language: ru-RU
Calc: threaded
Comment 3 Dennis Francis 2019-04-06 07:13:32 UTC
patch @ https://gerrit.libreoffice.org/70316 . Appreciate some testing :)
Comment 4 Commit Notification 2019-04-08 15:56:04 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/97af58093978d8e6b9d90eedcc59141304e7200e%5E%21

tdf#123421 : xlsx export : Don't write data field entry...

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-04-16 09:55:59 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/1e797b00580f341af1fffdbd66511d7a55261f9e%5E%21

tdf#123421 : xlsx export : Don't write data field entry...

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Gerhard Schaber 2019-05-07 11:19:17 UTC
It used to work without crash in 6.0. See bug #89139. I am mentioning that, in case that this is relevant.